<%-- 
    Document   : exportarEncuestaDocente
    Created on : 20/05/2016, 10:07:05 AM
    Author     : sistem02user
--%>

<%@page import="java.text.NumberFormat"%>
<%@page import="java.text.DecimalFormat"%>
<%@page import="pe.siso.horario.Beans.ReporteEncuesta"%>
<%@page import="pe.siso.horario.Services.ReporteEncuestaServices"%>
<%@page import="java.util.Calendar"%>
<%@page import="pe.siso.horario.Beans.Usuario"%>
<%@page import="pe.siso.horario.Services.DisponibilidadServices"%>
<%@page import="pe.siso.horario.Beans.Docente"%>
<%@page import="java.util.ArrayList"%>
<%@page import="pe.siso.horario.Services.DocenteServices"%>
<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%
        NumberFormat decimal = new DecimalFormat("#0.00");
        String codigoDocente = request.getParameter("codigoDocente");
        String periodoH = request.getParameter("codPeriodoH");
        String periodoE = request.getParameter("codPeriodoE");
        ReporteEncuestaServices servicios = new ReporteEncuestaServices();
        ArrayList<ReporteEncuesta> listaDocente = null;
        ArrayList<ReporteEncuesta> listaGrupos= null;
        ArrayList<ReporteEncuesta> listaPuntaje= null;
        listaDocente = servicios.listarDocentesEncuesta(periodoH, periodoE, codigoDocente);
        
%>
<!DOCTYPE html>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>JSP Page</title>
    </head>
    <body>
         <%
            HttpSession session_actual = request.getSession(true);
            Usuario usuario=(Usuario)session_actual.getAttribute("usuario");
            
            response.setContentType("application/vnd.ms-excel; ");
            response.setHeader("Content-Disposition","attachment; filename=EncuestaGeneralDocente.xls");
            
            String border="style='border:solid 0.5pt #000000;vertical-align:middle;'";
            String centrado="style='vertical-align:middle;' ";
            String borderColor="style='border:solid 0.5pt #000000; vertical-align:middle; background-color:#B5E0F5;'";
            String borderColorTitulo="style='border:solid 0.5pt #000000; vertical-align:middle; background-color:#006699; color:#FFFFFF;'";
            String estilo = "";
            String estiloNombre = "";
            Calendar cal1 = Calendar.getInstance();
           
            int dia = cal1.get(Calendar.DATE);
            int mes = cal1.get(Calendar.MONTH);
            int hora = cal1.get(Calendar.HOUR);
            int minuto = cal1.get(Calendar.MINUTE);
            int segundo = cal1.get(Calendar.SECOND);
            String diaAc = "";
            String mesAc = "";
            String hrAc = "";
            String minAc = "";
            String secAc = "";

            if(dia<10){ diaAc = "0"+dia; }else{ diaAc = ""+dia;}

            if(mes<10){ mesAc = "0"+mes; }else{ mesAc = ""+mes; }

            if(hora<10){  if(hora==0){ hrAc = "12"; }else{ hrAc = "0"+hora;  } }else{  hrAc = ""+hora; }
            
            if(minuto<10){ minAc = "0"+minuto; }else{ minAc = ""+minuto; }

            if(segundo<10){ secAc = "0"+segundo; }else{ secAc = ""+segundo; }
            
        %>
        <table  cellpadding= '0' cellspacing= '0'>
            <tr>
                <td <%=centrado%> colspan='5' align='center'><h3>LISTADO DE ENCUESTAS POR DOCENTE</h3></td>
            </tr> 
            <tr>
               <td colspan='5' height='10'></td>
            </tr> 
            <tr>
               <td colspan='3' >FUENTE: SISTEMA DE HORARIOS</td>
               <td colspan='2' align='right'>SACO OLIVEROS - SISTEMAS</td>
            </tr> 
            <tr>
               <td colspan='3' >RESPONSABLE: <%=usuario!=null?usuario.getNombreTipoUsuario():""%></td>
               <td colspan='2' align='right'>ACTUALIZACIÓN: <%=diaAc+"-"+mesAc+"-"+cal1.get(Calendar.YEAR)+" "+hrAc+":"+minAc+":"+secAc%></td>
            </tr> 
            <tr>
               <td colspan='5' height='20'></td>
            </tr> 
        <%
            int cont= 1;
            for(int i=0; i< listaDocente.size(); i++) {
                
                String nombreDocente = listaDocente.get(i).getNombreDocente();
                String codDocente = listaDocente.get(i).getCodigoDocente();
                
        %>
            <tr>
              
                <td style ='color:#197ec1;' align='center' colspan="5"><h3><%=nombreDocente%></h3></td>
            </tr>
            <tr>       
                <td <%=borderColorTitulo%> align='center'>N°</td>
                <td <%=borderColorTitulo%> align='center'>GRUPO</td>
                <td <%=borderColorTitulo%> align='center'>PLANA</td>
                <td <%=borderColorTitulo%> align='center'>PROMEDIO</td>
                <td <%=borderColorTitulo%> align='center'>CANTIDAD ENCUESTA</td>
            </tr> 
           
        <%  
            listaGrupos = servicios.listarGrupoAula2(periodoH, codDocente);
                if(listaGrupos.size() == 0){
                    
        %>
            <tr> 
                <td <%=estilo%> align='center' colspan="5">DOCENTE ADICIONAL</td>
            </tr>   
        <%
                }else{
                    cont = 1;
                    for(int a=0;a<listaGrupos.size(); a++){
                        if(cont%2==0){ 
                            estilo=borderColor; 
                        }else{
                            estilo=border; 
                        }
                        String puntajeReducido = "";                
                        String grupoAula = listaGrupos.get(a).getGrupoAula();
                        String local = listaGrupos.get(a).getP_sede();
                        String cadenaString = listaGrupos.get(a).getCadenaGrupoAula();
                        String nivel = listaGrupos.get(a).getP_nivel();
                        String turno = listaGrupos.get(a).getP_turno();
                        String plana= listaGrupos.get(a).getP_nombrePlana();
                        String cadena = local+" - "+nivel+" - "+turno+"<br><b>"+grupoAula+"</b>";
        %>
            <tr>
                <td <%=estilo%> align='center'>
                    <%=cont%>                            
                </td>
                <td <%=estilo%> align='center'>
                    <%=cadena%>                            
                </td>
                <td <%=estilo%> align='center'>
                    <%=plana%>                            
                </td>
        <%
            listaPuntaje = servicios.puntajeDocente(periodoE, codDocente, cadenaString);
            if(listaPuntaje.size() != 0){
                for(int p=0; p<listaPuntaje.size();p++){
                    double puntaje = Double.parseDouble(listaPuntaje.get(p).getP_puntaje());
                    puntajeReducido=decimal.format(puntaje).replace(",", ".");
                    String cantEncuestas = listaPuntaje.get(p).getP_cantidadEncuestas();
        %>
                <td <%=estilo%> align='center' style="vertical-align:middle;mso-number-format:'#0.00'"  >
                    <span><%=puntajeReducido%></span>
                 </td>
                <td <%=estilo%> align='center' style='vertical-align:middle;'>
                    <%=cantEncuestas%>
                </td>
        <%      }
            }else{
                puntajeReducido = "[SIN PROMEDIO]";
        %>
                <td <%=estilo%> align='center' >
                    <span id='puntaje' style='color:red;'><%=puntajeReducido%></span>
                </td>
                <td <%=estilo%> align='center' >
                    0
                </td>
        <%
            }
        %>
            </tr>
        <%
             cont++;      
                    }
                }
            
            }
        
             if(cont==1){
        %>
            <tr>
                <td  colspan='4' align='center' <%=border%>>No hay Docentes registrados</td>
            </tr>
        <%
            }
        %>
        </table>
        
        
    </body>
</html>
